[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TCustomTaskDialog.DoOnRadioButtonClicked

Sets the active radio button and signals the OnRadioButtonClicked event handler (when assigned).

## Declaration

Source position: dialogs.pp line 793

`protected procedure TCustomTaskDialog.DoOnRadioButtonClicked(`
`ButtonID: Integer`
`); dynamic;`

## Arguments

`ButtonID` |  | Index value for the radio button locates and signalled in the method.

## Description

No actions are performed in the method if OnRadioButtonClicked has not been assigned.

Calls SetRadioButtonFromRadioIndex to set RadioButton to the control at the position specified in the ButtonID argument. RadioButton is set to Nil if ButtonID is not a valid position in RadioButtons.

DoOnRadioButtonClicked is called from the private OnRadioButtonClicked method in the TLCLTaskDialog class when an emulated task dialog is used for the platform.

## Version info

Added in LCL version 4.0.

## See also

TCustomTaskDialog.RadioButton |  | The radio button selected on the Task dialog.
TCustomTaskDialog.RadioButtons |  | Collection with the optional radio buttons defined for the Task dialog.
TCustomTaskDialog.SetRadioButtonFromRadioIndex |  | Makes the radio button with the specified identifier the active RadioButton on the task dialog.
TCustomTaskDialog.OnRadioButtonClicked |  | Event handler signalled when a radio button on the dialog has been clicked.
TLCLTaskDialog.OnRadioButtonClicked |  | Implements an emulated (non-native) task dialog form.